cert-file: ../priv/cert/message-router-c.ed25519.cert.pem
key-file: ../priv/cert/message-router-c.ed25519.key.pem
port: 9000
ip: 127.0.0.1
serialize-state-file: /tmp/upsycle-state-c.cbor
message-id-hashing-function: blake2b_32
openssl-cmd: /usr/bin/openssl
local-services: []
multicast-groups-for-peer-advertisement:
  # message router a
    # in this example, message router a is not subscribed to this
    # group, so it will forward these updates to other message routers or
    # local services as the case may be.
  - priv: yFykbN/yNx5QwT2QRpBEJdSgPo2ZXeB0jMrt88ef6IY=
    pub: L0HO+igrOZ3kJTghB5KDGiTPohqZEveZZmPduigFkFE=
  # message router b
  # in this example, message router b is subscribed to this group
  - priv: ar3gn9IayiAq2X7MuNxa39C1VF9a0ZP2eTRkI5C9/8M=
    pub: PR69/LR5k7needSX8mwpK6DQkRXyMqPjhs8K7KWgU/4=
seen-size: 16
cache-size: 100
# --- these are remote message routers which we know about and try to
# connect to at startup.
remote-routers:
  - cert-file: ../priv/cert/message-router-b.ed25519.cert.pem
    ip: 127.0.0.1
    port: 8000
    routername: upsycle-node
routing-table-init: []
multicast-table-init:
  - group: L0HO+igrOZ3kJTghB5KDGiTPohqZEveZZmPduigFkFE=
    subscribers:
      - ../priv/cert/message-router-c.ed25519.key.pem
  - group: PR69/LR5k7needSX8mwpK6DQkRXyMqPjhs8K7KWgU/4=
    subscribers:
      - ../priv/cert/message-router-c.ed25519.key.pem
message-router-name: C
print-messages-on-console: short
keyboard-mode: demo
key-printing-short: true
control-interface: localhost:9001
join-ack-delay: 0
update-routing-table-on-client-connect: true
allow-test-body: true
prefer-multicast-requestor: src
test-tamper-signatures-on-mock-messages: null
